<mat-card class="login-card">
  <mat-card-content>
    <h2 class="is-size-2">Log In</h2>
    <form autocomplete="off" [formGroup]="logInForm" (ngSubmit)="handleForm()">
      <app-input
        [inputFormControl]="logInForm.get('username')"
        [type]="'text'"
        [label]="'Username'"
        [iconName]="'person'"
        [placeholder]="'Enter your username'"
      ></app-input>
      <app-input
        [inputFormControl]="logInForm.get('password')"
        [label]="'Password'"
        [isPassword]="true"
        [placeholder]="'Enter your password'"
      ></app-input>
      <button type="submit" mat-raised-button color="primary">Log In</button>
    </form>
  </mat-card-content>
  <p>
    Don't have an account?
    <a mat-button routerLink="/signup" color="accent">Register Here</a>
  </p>
  <mat-card-actions>
    <button mat-raised-button (click)="googleLogin()">
      <i class="fab fa-google"></i> Google
    </button>
  </mat-card-actions>
</mat-card>
